Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 576182 - x11-misc/shared-mime-info-1.6 breaks mail-client/claws-mail-3.13.2 fancy plugin
Summary: x11-misc/shared-mime-info-1.6 breaks mail-client/claws-mail-3.13.2 fancy plugin
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL: https://cgit.freedesktop.org/xdg/shar...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-02 00:41 UTC by Mihai Donțu
Modified: 2017-12-17 19:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info mail-client/claws-mail (emerge-info.log,7.01 KB, text/x-log)
2016-03-03 02:23 UTC, Mihai Donțu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Donțu 2016-03-02 00:41:01 UTC
Upgrading x11-misc/shared-mime-info to 1.6 somehow affects Claws Mail's fancy plugin in such a way that it no longer displays certain HTML emails. I noticed it when trying to view the notifications send by Atlassian Jira

Reproducible: Always

Steps to Reproduce:
1. upgrade x11-misc/shared-mime-info to 1.6
2. restart Claws Mail
3. try to view a complex HTML attachment

Actual Results:  
A blank page is presented


Expected Results:  
The properly rendered HTML content


I rebuilt webkit-gtk:2 hoping that it will fix it somehow. No luck. Downgrading shared-mime-info to 1.5 fixed it, though. The idea came to me after I've seen some other reports of Claws Mail's fancy not working okay (NixOS).
Comment 1 Pacho Ramos gentoo-dev 2016-03-02 12:07:40 UTC
please show emerge --info claws-mail-fancy output and also try to run it from a terminal to see if it shows some errors
Comment 2 Mihai Donțu 2016-03-02 12:34:25 UTC
I'm using the 'fancy' plugin that comes with Claws Mail. I understand the separate ebuild is no longer used/needed.
Comment 3 Mihai Donțu 2016-03-03 02:22:24 UTC
Running claws-mail from a terminal only displays this:

(claws-mail:19274): GLib-CRITICAL **: Source ID 2055 was not found when attempting to remove it

but it doesn't feel related.
Comment 4 Mihai Donțu 2016-03-03 02:23:24 UTC
Created attachment 427258 [details]
emerge --info mail-client/claws-mail

The output of 'emerge --info mail-client/claws-mail'
Comment 5 Pacho Ramos gentoo-dev 2016-03-04 09:21:24 UTC
I don't see what change could break claws-mail:
https://cgit.freedesktop.org/xdg/shared-mime-info/log/

Maybe you can try reverting them in order until reaching the culprit
Comment 6 Christopher Head 2017-07-21 07:11:22 UTC
I bisected. The commit that breaks it is 4961dc3e48d13c0c675ad7c135419b864813ca55.
Comment 8 Pacho Ramos gentoo-dev 2017-07-21 09:22:18 UTC
Anyway, fancy plugin is going to be dropped per bug 608612
Comment 9 Lars Wendler (Polynomial-C) gentoo-dev 2017-12-17 19:57:01 UTC
fancy plugin is gone...